View Issue Details

IDProjectCategoryView StatusLast Update
0002550ScribusImport / Exportpublic2016-12-08 21:39
Reporteraamehl Assigned Toplinnell 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionnot fixable 
Platformi386OSdebian linuxOS Versionsarge
Product Version1.3.1cvs 
Target Version1.5.3Fixed in Version 
Summary0002550: can't import svg file created by lilypond
DescriptionI have an svg file created by lilypond which loads fine in adobe svg viewer and inkscape.

when I try to import into scribus the import takes forever and the gui flashes.

when the file is imported it is strangely colored and no doesn't display correctly.

I was on irc and they said to attach the file here.
Steps To Reproduceinstall the lilypond otf fonts and try to import the file.
you will I gather need to go to lilypond.org to get the otf files.

or I can send them via email if you give me and address.

Aaron
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2005-09-11 19:17

 

e2g8g2a8a2a4g2g4e2g8.fis16e8g1e2g8g4.a8g2a8a4b8a2a4g2g4-tm.svg (166,523 bytes)

christoph_s

2005-09-11 20:13

administrator   ~0006513

Might be related to 2221.

plinnell

2005-09-12 08:11

viewer   ~0006522

I tried to test this SVG with batik, but got over 400 errors because of incorrect SVG CSS errors. I'm not sure this is really a Scribus bug to be honest. I would try converting the fonts to outlines in Inkscape first, then resave the SVG.

Example error:

org.w3c.dom.DOMException: file:/home/mrdocs/bugs/2550lilypond-tm.svg:
The attribute "style" represents an invalid CSS declaration ("font-family:Century Schoolbook L;font-size:2.19953140378937;text-anchor:west").
Original message:
The "west" identifier is not a valid value for the "text-anchor" property.
    at org.apache.batik.css.engine.CSSEngine.getCascadedStyleMap(Unknown Source)
    at org.apache.batik.css.engine.CSSEngine.getComputedStyle(Unknown Source)
    at org.apache.batik.bridge.CSSUtilities.getComputedStyle(Unknown Source)
    at org.apache.batik.bridge.CSSUtilities.convertDisplay(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.buildGraphicsNode(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.buildComposite(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.buildGraphicsNode(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.buildComposite(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.buildGraphicsNode(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.buildComposite(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.buildGraphicsNode(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.buildComposite(Unknown Source)
    at org.apache.batik.bridge.GVTBuilder.build(Unknown Source)
    at org.apache.batik.swing.svg.GVTTreeBuilder.run(Unknown Source)

2005-09-12 12:35

 

aybabtu.otf (231,264 bytes)

2005-09-12 12:51

 

emmentaler-11.otf (146,860 bytes)

2005-09-12 13:16

 

emmentaler-13.otf (146,652 bytes)

2005-09-12 15:24

 

emmentaler-14.otf (147,136 bytes)

2005-09-12 15:52

 

emmentaler-16.otf (146,592 bytes)

2005-09-12 16:27

 

emmentaler-20.otf (143,360 bytes)

2005-09-12 16:40

 

emmentaler-23.otf (143,628 bytes)

2005-09-12 16:54

 

emmentaler-26.otf (142,352 bytes)

aamehl

2005-09-12 17:04

reporter   ~0006526

ok,
I uploaded all the needed fonts to check the file. As I said it opens in Mozilla with adobe svg reader and in inkscape.

please confirm this by install the above fonts to ~/.fonts and run fc-cache.

Then see if you can open it in inkscape. there may be a problem with hebrew as well. if you can't get it to work for you will send a file with no text.

Aaron

plinnell

2005-09-12 19:43

viewer   ~0006529

Opening in Inkscape 0.42, exporting EPS and importing into Scribus worked.

Even Batik does not display this correctly, so I'm still not sold the SVG is conformant.

plinnell

2006-12-27 09:58

viewer   ~0014279

1.3.4cvs now imports this much better. It is still slow, but seems to import mostly correct. Aaron can you give cvs a try ?

Kunda

2014-09-16 11:04

manager   ~0033711

Plinnell, does this work for you in 1.5svn ?
I installed the fonts and imported the .svg unsuccessfully showing the fonts.
(OSX 10.8.5 1.5svn r19507)

Kunda

2016-01-14 07:57

manager   ~0038148

plinnell, do you mind retesting this on 1.5.1svn?

plinnell

2016-11-16 03:12

viewer   ~0042428

No better in 1.5.3. Best results to import is open in Iknscape, save EPS and import the saved EPS.

Kunda

2016-11-16 03:31

manager   ~0042429

@plinnell should we resolve this issue then?

plinnell

2016-12-05 21:48

viewer   ~0042696

We have a work around. As the SVG is not 100% valid, closing.

Issue History

Date Modified Username Field Change
2005-09-11 19:17 aamehl New Issue
2005-09-11 19:17 aamehl File Added: e2g8g2a8a2a4g2g4e2g8.fis16e8g1e2g8g4.a8g2a8a4b8a2a4g2g4-tm.svg
2005-09-11 20:13 christoph_s Note Added: 0006513
2005-09-12 08:11 plinnell Note Added: 0006522
2005-09-12 11:07 ringerc Severity major => minor
2005-09-12 11:07 ringerc Status new => acknowledged
2005-09-12 12:35 aamehl File Added: aybabtu.otf
2005-09-12 12:51 aamehl File Added: emmentaler-11.otf
2005-09-12 13:16 aamehl File Added: emmentaler-13.otf
2005-09-12 15:24 aamehl File Added: emmentaler-14.otf
2005-09-12 15:52 aamehl File Added: emmentaler-16.otf
2005-09-12 16:27 aamehl File Added: emmentaler-20.otf
2005-09-12 16:40 aamehl File Added: emmentaler-23.otf
2005-09-12 16:54 aamehl File Added: emmentaler-26.otf
2005-09-12 17:04 aamehl Note Added: 0006526
2005-09-12 19:43 plinnell Note Added: 0006529
2005-12-23 00:26 plinnell Relationship added related to 0002931
2006-05-17 18:29 christoph_s Relationship deleted related to 0002931
2006-05-17 18:30 christoph_s Relationship added child of 0002931
2006-12-27 09:58 plinnell Note Added: 0014279
2014-09-16 11:04 Kunda Note Added: 0033711
2016-01-14 07:57 Kunda Note Added: 0038148
2016-11-16 03:12 plinnell Note Added: 0042428
2016-11-16 03:31 Kunda Note Added: 0042429
2016-12-05 21:48 plinnell Assigned To => plinnell
2016-12-05 21:48 plinnell Status acknowledged => resolved
2016-12-05 21:48 plinnell Resolution open => not fixable
2016-12-05 21:48 plinnell Note Added: 0042696
2016-12-08 21:29 cbradney Status resolved => closed
2016-12-08 21:39 cbradney Target Version => 1.5.3